Package org.eclipse.net4j.tcp

# Class TCPUtil

java.lang.Object
org.eclipse.net4j.tcp.TCPUtil

public final class TCPUtil extends Object
A utility class with static convenience methods.

Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`TCPUtil.AcceptorData`
Encapsulates the data needed to configure a `TCP acceptor`.
`static final class`
`TCPUtil.ConnectorData`
Encapsulates the data needed to configure a `TCP connector`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CREDENTIALS_SEPARATOR`
`static final String`
`FACTORY_TYPE`
`static final String`
`PORT_SEPARATOR`

## Method Summary

Modifier and Type
Method
Description
`static ITCPAcceptor`
`getAcceptor(org.eclipse.net4j.util.container.IManagedContainer container, String description)`
`static ITCPConnector`
`getConnector(org.eclipse.net4j.util.container.IManagedContainer container, String description)`
`static void`
`prepareContainer(org.eclipse.net4j.util.container.IManagedContainer container)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FACTORY_TYPE

public static final String FACTORY_TYPE

Since:
  4.1
See Also:
  - Constant Field Values

### PORT_SEPARATOR

public static final String PORT_SEPARATOR

Since:
  4.1
See Also:
  - Constant Field Values

### CREDENTIALS_SEPARATOR

public static final String CREDENTIALS_SEPARATOR

Since:
  4.1
See Also:
  - Constant Field Values

## Method Details

### prepareContainer

public static void prepareContainer(org.eclipse.net4j.util.container.IManagedContainer container)

### getAcceptor

public static ITCPAcceptor getAcceptor(org.eclipse.net4j.util.container.IManagedContainer container, String description)

### getConnector

public static ITCPConnector getConnector(org.eclipse.net4j.util.container.IManagedContainer container, String description)